package com.zhongzheng.modules.grade.service;

import com.zhongzheng.modules.course.vo.CourseUserEducationTypeVo;
import com.zhongzheng.modules.grade.bo.*;
import com.zhongzheng.modules.grade.domain.ClassGrade;
import com.zhongzheng.modules.grade.vo.ClassGradeStudentVo;
import com.zhongzheng.modules.grade.vo.ClassGradeUserListVo;
import com.zhongzheng.modules.grade.vo.ClassGradeVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 班级Service接口
 *
 * @author ruoyi
 * @date 2021-11-10
 */
public interface IClassGradeService extends IService<ClassGrade> {
	/**
	 * 查询单个
	 * @return
	 */
	ClassGradeVo queryById(Long classId);

	/**
	 * 查询列表
	 */
	List<ClassGradeVo> queryList(ClassGradeQueryBo bo);

	/**
	 * 根据新增业务对象插入班级
	 * @param bo 班级新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ClassGradeAddBo bo);

	/**
	 * 根据编辑业务对象修改班级
	 * @param bo 班级编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ClassGradeEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ClassGradeStudentVo> listGrade(ClassGradeUserQueryBo bo);

    boolean editUserGrade(ClassGradeUserAddQueryBo bo);

	List<ClassGradeUserListVo> listGradeInform(ClassGradeQueryBo bo);

	List<ClassGradeStudentVo> listGradeStudy(ClassGradeQueryBo bo);

    List<CourseUserEducationTypeVo> listGradeService(ClassGradeQueryBo bo);
}
